# Transactions

A shipping transaction is initiated when a seller accepts a shipping request.

 - [GET /transactions/requests/pending](https://developers.wallapop.com/apis/delivery/transactions/sellerpendingrequests.md): Returns a list of pending shipping requests awaiting the seller's acceptance. When a buyer purchases an item, a pending shipping request is generated. A request remains pending until the seller accept
 - [GET /transactions/requests/{requestId}](https://developers.wallapop.com/apis/delivery/transactions/sellerrequest.md): Obtain the details of a specific shipping request by providing its ID.
 - [POST /transactions/requests/{requestId}/accept/home-pickup](https://developers.wallapop.com/apis/delivery/transactions/accepthomepickup.md): Accept a shipping request with home pickup, where the carrier collects the package directly from the seller's shipping address. The client app must generate and pass a `transaction_id`.
 - [POST /transactions/requests/{requestId}/accept/post-office](https://developers.wallapop.com/apis/delivery/transactions/paths/~1transactions~1requests~1%7Brequestid%7D~1accept~1post-office/post.md): Accept a shipping request for post office drop-off, where the seller delivers the package to a designated post office. The client app must generate and pass a `transaction_id`.
 - [GET /transactions/pending](https://developers.wallapop.com/apis/delivery/transactions/sellerpendingtransactions.md): Returns a list of pending shipping transactions. A shipping transaction is created when the seller accepts the corresponding shipping request. A pending transaction is one that has not been accepted,
 - [GET /transactions/{transactionId}](https://developers.wallapop.com/apis/delivery/transactions/sellertransaction.md): Obtain the details of a specific shipping transaction by providing its ID.
 - [POST /transactions/{transactionId}/delivery/register](https://developers.wallapop.com/apis/delivery/transactions/registerdelivery.md): Registers a delivery for a transaction with `transaction_id`. Seller needs to register the delivery when the package is registered into their carrier of choice.
